Configuration

Configure and manage services, integrations, organizations, users, and core platform functionality.

The Concierge configuration API lets you programmatically govern the foundational elements of your Concierge environment. This suite provides administrative control over your services, organizations, user roles, integrations, and communication channels.

Base URL — https://api.zingle.me/v2/services

EndpointUsageMethod
/Retrieve a list of services based on your permissions.GET
/{serviceId}/channelsAdd a new communication channel to a service.POST
/{serviceId}/features/{featureCode}Activate or remove specific features for a service.POST / DELETE
/{serviceId}/integrationsRetrieve a list of all active integrations for a service.GET
/{serviceId}/integrations/{integration}Retrieve, update, or disable a specific integration.GET / PUT / DELETE
/{serviceId}/integrations/{integration}/field-mappingView, create, update, or delete the data field mappings for a specific integration.GET / PUT / DELETE
/{serviceId}/integrations/mindbody/activation-linkGenerate a dedicated activation link for the MindBody integration.GET
/{serviceId}/usersRetrieve a list of all users assigned to a service.GET
/{serviceId}/analytics/sign-urlSecurely sign a Mode Analytics URL.POST
/{serviceId}/analytics/report-listRetrieve a list of available Mode Analytics reports.GET
/{serviceId}/usageRetrieve the current billing usage for a service.GET
/{serviceId}/calendar/templates/typeCreate an event type with a template.POST
/{serviceId}/blocked-channelsReview contact import logs, or block and unblock specific channels.GET / PUT / DELETE
/{serviceId}/contact-fieldsList or create custom contact fields.GET / POST
/{serviceId}/contact-fields/{contactFieldId}Retrieve, update, or delete a specific contact field.GET / PUT / DELETE
/{serviceId}/contactsCreate a new contact.POST
/{serviceId}/contacts/{contactUuid}Update, retrieve, or delete a specific contact.PATCH / GET / DELETE
/{serviceId}/message-categoriesList or create message categories.GET / POST
/{serviceId}/message-categories/{messageCategoryId}Retrieve, update, or delete a message category.GET / PUT / DELETE
/{serviceId}/segmentsList or create dynamic user segments.GET / POST
/{serviceId}/segments/{segmentId}Retrieve, update, or delete a specific segment.GET / PUT / DELETE
/{serviceId}/tagsList or create custom tags.GET / POST
/{serviceId}/tags/{tagId}Retrieve, update, or delete a specific tag.GET / PUT / DELETE
/{serviceId}/templatesList or create text templates.GET / POST
/{serviceId}/templates/{templateId}Retrieve, update, or delete a text template.GET / PUT / DELETE
/{serviceUuid}/users/{userId}List users or create a new user and define their UI role.GET / POST
/{serviceId}/users/{userId}Update a service user's details or remove their service role.PUT / DELETE
/{serviceId}/webhooksList, create, or update all webhooks.GET / POST / PUT
/{serviceId}/webhooks/{webhookId}Retrieve, update, or delete a specific webhook.GET / PUT / DELETE

Base URL — https://api.zingle.me/v2/organizations/{organizationId}

EndpointUsageMethod
/contact-import-configurations/{integration}Get, add, update, or enable contact import mapping configurations for an integration.GET / PUT / POST
/servicesRetrieve a list of services within an organization.GET
/services/{serviceId}Add or remove a service from an organization.POST / DELETE
/usersSearch for users or add a new user to an organization.GET / POST
/users/{userId}Update a user's organizational role or remove them from the organization.PUT / DELETE

Base URL — https://api.zingle.me/v2/orgs/{organizationId}

EndpointUsageMethod
/contact-logRetrieve contact import logs for services within an organization.GET

Base URL — https://api.zingle.me/v2/organizations

EndpointUsageMethod
/Page through existing organizations or create a new one.GET / POST
/{organizationId}Retrieve, update, or delete a specific organization.GET / PUT / DELETE

Base URL — https://api.zingle.me/v2/service-collections

EndpointUsageMethod
/List or create service collections.GET / POST
/allRetrieve a list of all service collections.GET
/{serviceCollectionId}Update or delete a service collection.PUT / DELETE
/{serviceCollectionId}/servicesList services within a specific collection.GET
/{serviceCollectionId}/services/{serviceId}Add, update, or remove a service within a collection.POST / PUT / DELETE
/{serviceCollectionId}/fieldsCreate a new field for a service collection.POST
/{serviceCollectionId}/fields/{fieldId}Update or delete a field from a service collection.PUT / DELETE

Base URL — https://api.zingle.me/v2

EndpointUsageMethod
/notification/{userId}/preferencesUpdate a user's desktop, mobile, and email notification preferences.PUT
/phone-numbers/provisionProvision and assign a new phone number.POST
/plansRetrieve a list of available plans.GET
/calendar/templatesRetrieve a list of all available calendar templates.GET